# eric4.patch_pyxml

Script to patch pyXML to correct a bug.

### Classes

None

### Functions

initGlobals | Sets the values of globals that need more than a simple assignment.
isPatched | Function to check, if pyXML is already patched.
main | The main function of the script.
patchPyXML | The patch function.
usage | Display a usage message and exit.

## initGlobals

initGlobals()

Sets the values of globals that need more than a simple assignment.

Up

## isPatched

isPatched()

Function to check, if pyXML is already patched.

Returns:
  flag indicating patch status (boolean)

Up

## main

main(argv)

The main function of the script.

argv is the list of command line arguments.

Up

## patchPyXML

patchPyXML()

The patch function.

Up

## usage

usage(rcode = 2)

Display a usage message and exit.

rcode is the return code passed back to the calling process.

Up